org.richfaces.component

## Class AbstractList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.UISequence
        - - org.richfaces.component.AbstractList

- All Implemented Interfaces:
    EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, IterationStateHolder, CoreProps, EventsKeyProps, EventsMouseProps, EventsRowProps, I18nProps, IterationProps, RowsProps, SequenceProps
  Direct Known Subclasses:
    UIList

      public abstract class AbstractList
      extends UISequence
      implements CoreProps, EventsKeyProps, EventsMouseProps, EventsRowProps, I18nProps, RowsProps, SequenceProps, IterationProps

  The <rich:list> component renders a list of items. The list can be an numerically ordered list, an un-ordered bullet-point list, or a data definition list. The component uses a data model for managing the list items, which can be updated dynamically.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UISequence

      `UISequence.PropertyKeys`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TERM`

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `COMPONENT_FAMILY, COMPONENT_TYPE, decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
    `protected Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
    `abstract String` | `getRowClass()` Assigns one or more space-separated CSS class names to the list rows
    `abstract String` | `getRowClasses()` Assigns one or more space-separated CSS class names to the rows of the table.
    `javax.faces.component.UIComponent` | `getTerm()`
    `abstract ListType` | `getType()` The type of the list: unordered (default), ordered, definitions

    - ### Methods inherited from class org.richfaces.component.UISequence

      `captureOrigValue, createComponentState, createExtendedDataModel, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setRows, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getFamily, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, resetDataModel, restoreChildState, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildren, visitDataChildrenMetaComponents, visitFixedChildren, visitTree, walk, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.CoreProps

      `getStyle, getStyleClass, getTitle`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsKeyProps

      `getOnkeydown, getOnkeypress, getOnkeyup`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsRowProps

      `getOnrowclick, getOnrowdblclick, getOnrowkeydown, getOnrowkeypress, getOnrowkeyup, getOnrowmousedown, getOnrowmousemove, getOnrowmouseout, getOnrowmouseover, getOnrowmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.I18nProps

      `getDir, getLang`

    - ### Methods inherited from interface org.richfaces.component.attribute.RowsProps

      `getRows`

    - ### Methods inherited from interface org.richfaces.component.attribute.SequenceProps

      `getRowKeyConverter`

    - ### Methods inherited from interface org.richfaces.component.attribute.IterationProps

      `getFirst, getIterationStatusVar, getRowKeyVar, getStateVar, getValue, getVar, isKeepSaved`

- - ### Field Detail

    - #### TERM

          public static final String TERM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractList

          public AbstractList()

  - ### Method Detail

    - #### dataChildren

          protected Iterator<javax.faces.component.UIComponent> dataChildren()

      Overrides:
        `dataChildren` in class `UIDataAdaptor`

    - #### fixedChildren

          protected Iterator<javax.faces.component.UIComponent> fixedChildren()

      Overrides:
        `fixedChildren` in class `UIDataAdaptor`

    - #### getType

          public abstract ListType getType()

      The type of the list: unordered (default), ordered, definitions

    - #### getTerm

          public javax.faces.component.UIComponent getTerm()

    - #### getRowClasses

          public abstract String getRowClasses()

      Assigns one or more space-separated CSS class names to the rows of the table. If the CSS class names are comma-separated, each class will be assigned to a particular row in the order they follow in the attribute. If you have less class names than rows, the class will be applied to every n-fold row where n is the order in which the class is listed in the attribute. If there are more class names than rows, the overflow ones are ignored.

    - #### getRowClass

          public abstract String getRowClass()

      Assigns one or more space-separated CSS class names to the list rows

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.